Bug 1837540 - [BM IPI] Cluster reports upgrade in progress after restoring to previous state after upgrade [NEEDINFO]
Summary: [BM IPI] Cluster reports upgrade in progress after restoring to previous stat...
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Suresh Kolichala
QA Contact: ge liu
URL:
Whiteboard: LifecycleReset
Depends On:
Blocks: 1877930
TreeView+ depends on / blocked
 
Reported: 2020-05-19 15:44 UTC by Yurii Prokulevych
Modified: 2020-09-22 09:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
skolicha: needinfo? (geliu)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 436 None closed Bug 1837540: Use restore pod yaml from the backup when restoring 2020-09-22 20:06:10 UTC

Description Yurii Prokulevych 2020-05-19 15:44:24 UTC
Description of problem:
-----------------------
Restoring cluster post upgrade 4.4 -> 4.5 to backup taken at 4.4 

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
4.4.0-0.nightly-2020-05-15-095335 upgraded to 4.5.0-0.nightly-2020-05-19-041951



Steps to Reproduce:
-------------------
1. https://url.corp.redhat.com/0ae67ea
2.
3.

Actual results:
---------------
Cluster reports there is ongoing upgrade, though actual backup was taken before starting upgrade

```
oc adm upgrade
info: An upgrade is in progress. Working towards 4.5.0-0.nightly-2020-05-19-041951: 11% complete

No updates available. You may force an upgrade to a specific release image, but doing so may not be supported and result in downtime or data loss.
```


Expected results:
-----------------
Cluster state shouldn't report upgrade in progress


Additional info:
----------------
Virtual setup: 3masters + 2 workers

Comment 5 Sam Batschelet 2020-06-20 13:01:17 UTC
Iā€™m adding UpcomingSprint, because I was occupied by fixing bugs with higher priority/severity, developing new features with higher priority, or developing new features to improve stability at a macro level. I will revisit this bug next sprint.

In general, this falls under DR improvements/"correctness" work tasked for 4.6

Comment 8 Michal Fojtik 2020-08-30 13:59:24 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant.

Comment 10 Michal Fojtik 2020-08-31 17:59:30 UTC
The LifecycleStale keyword was removed because the bug got commented on recently.
The bug assignee was notified.

Comment 14 ge liu 2020-09-16 11:48:35 UTC
Filed new bug https://bugzilla.redhat.com/show_bug.cgi?id=1879481 in verifying process.


Note You need to log in before you can comment on or make changes to this bug.